petsc-3.10.5 2019-03-28
Report Typos and Errors

# AORegister

Register an application ordering method

### Synopsis

    #include "petscao.h"
    PetscErrorCode  AORegister(const char sname[], PetscErrorCode (*function)(AO))

Not Collective

### Input Parameters

| sname | - the name of the AO scheme
| function | - the create routine for the application ordering method

### See Also

AOCreate(), AORegisterAll(), AOBASIC, AOADVANCED, AOMAPPING, AOMEMORYSCALABLE

### Level

advanced

### Location

src/vec/is/ao/interface/aoreg.c
Index of all AO routines
Table of Contents for all manual pages
Index of all manual pages